# Delete a chat room

## Delete a chat room

<mark style="color:green;">`POST`</mark> `https://api.iflychat.com/api/1.1/room/:id/delete`

Use our API to delete one of your global or private chat rooms

#### Path Parameters

| Name | Type   | Description                      |
| ---- | ------ | -------------------------------- |
| id   | string | The id of the room to be deleted |

#### Request Body

| Name     | Type   | Description                         |
| -------- | ------ | ----------------------------------- |
| api\_key | string | The private API key of your website |

{% tabs %}
{% tab title="200 The response would return success " %}

```
{ success: true }
```

{% endtab %}
{% endtabs %}

### **Curl Command**

This the sample curl command required to make HTTP request:

```bash
curl -H "Content-Type: application/json" -X POST https://api.iflychat.com/api/1.1/room/4/delete -d "{\"api_key\":\"Wr4vpoJ_ET3lpBdX9E9TutUic4Dgb-gc7RGzuZvKqZgW55\"}`
```
